MCP Tools Reference: ces.googleapis.com

工具:start_export_app

开始导出 CES 应用

以下代码示例展示了如何使用 curl 调用 start_export_app MCP 工具。

Curl 请求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

输入架构

McpService.StartExportApp 的请求消息。

StartExportAppRequest

JSON 表示法
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
字段
projectId

string

要导出的应用的相应项目 ID。

locationId

string

要导出的应用的位置 ID。

appId

string

要导出的应用的 ID。

输出架构

用于导出 CES 应用的操作。

ExportAppOperation

JSON 表示法
{
  "name": string,
  "done": boolean,
  "content": string
}
字段
name

string

导出应用操作的资源名称。

done

boolean

操作是否已完成。

content

string (bytes format)

如果 [done] 为 true,则包含压缩应用导出的 zip 文件的字节,该文件是一个包含 YAML 格式的应用配置文件。

使用 base64 编码的字符串。

工具注释

工具注释会发送给 MCP 客户端,用于描述指定工具的基本风险。大多数客户端会将这些提示视为不受信任的,但它们可用于确定何时向用户发送确认提示。

除了标题字符串之外,还定义了以下布尔值提示:

  • readOnlyHint:如果为 true,则工具不会修改其环境。默认值:false。
  • destructiveHint:如果为 true,则工具可以执行破坏性操作。如果为 false,则该工具只能执行添加操作。默认值:true。
  • idempotentHint:如果为 true,则使用相同实参重复调用该工具不会对其环境产生任何额外影响。默认值:false。
  • openWorldHint:如果为 true,则工具可以与外部实体的“开放世界”互动。如果为 false,则该工具只能与内部实体互动。例如,网络搜索工具是开放世界工具,而内存工具不是开放世界工具。

破坏性提示:❌ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌